/* Shared prototypes for tasks Cat and FS */

#ifndef _SHARED_PROTO_H
#define _SHARED_PROTO_H

#include "message.h"


	/* Connections to services. */
	int common_connection(int *phone, int service, int attempts);
	int connect_to_rd(int *phone, int attempts);
	int connect_to_con(int *phone, int attempts);
	int connect_to_fs(int *phone, int attempts);

	/* Extended messaging. */
	int send_request(int phoneid, ipcarg_t method, 
		message_params_t *params, void *shared_buffer);
	void unpack_message(message_params_t *message, ipc_call_t m_input, 
			void *shared_buffer);


#endif /* _SHARED_PROTO_H */
